# Get Blockchain Status

Get the blockchain status.

**Request:**\
`requestType` is *getBlockchainStatus*

**Response:**

(S) `lastBlock` is the last block ID on the blockchain\
(S) `application` is the application name, typically CFW\
(B) `isScanning` is true if the blockchain is being scanned by the application, false otherwise\
(S) `cumulativeDifficulty` is the cumulative difficulty\
(N) `lastBlockchainFeederHeight` is the height of the last blockchain of greatest cumulative difficulty obtained from a peer\
(N) `numberOfBlocks` is the number of blocks in the blockchain (height + 1)\
(N) `time` is the current timestamp (in seconds since the genesis block)\
(S) `version` is the application version\
(S) `lastBlockchainFeeder` is the address or announced address of the peer providing the last blockchain of greatest cumulative difficulty\
(N) `requestProcessingTime` is the API request processing time (in milliseconds)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/server-information/get-blockchain-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
